###################################################################
# Function Name: summon_mobs
#
# Activated By:  amush entity
#
# Functionality:
###################################################################
scoreboard players add @e[type=goe:game] AmbushTime 1
###################################################################

# Summon Spiders
execute as @e[type=goe:game,scores={AmbushTime=10}] at @e[type=goe:ambush,tag=Spider] run summon spider ~ ~ ~ ~ ~ goe:ambush
execute as @e[type=goe:game,scores={AmbushTime=20}] at @e[type=goe:ambush,tag=Spider] run summon cave_spider ~6 ~ ~ ~ ~ goe:ambush
execute as @e[type=goe:game,scores={AmbushTime=30}] at @e[type=goe:ambush,tag=Spider] run summon cave_spider ~-6 ~ ~3 ~ ~ goe:ambush
execute as @e[type=goe:game,scores={AmbushTime=40}] at @e[type=goe:ambush,tag=Spider] run summon cave_spider ~8 ~ ~ ~ ~ goe:ambush
execute as @e[type=goe:game,scores={AmbushTime=50}] at @e[type=goe:ambush,tag=Spider] run summon cave_spider ~-8 ~ ~ ~ ~ goe:ambush
execute as @e[type=goe:game,scores={AmbushTime=60}] at @e[type=goe:ambush,tag=Spider] run summon cave_spider ~10 ~ ~0 ~ ~ goe:ambush
execute as @e[type=goe:game,scores={AmbushTime=70}] at @e[type=goe:ambush,tag=Spider] run summon cave_spider ~6 ~ ~8 ~ ~ goe:ambush
execute as @e[type=goe:game,scores={AmbushTime=80}] at @e[type=goe:ambush,tag=Spider] run summon cave_spider ~6 ~ ~-4 ~ ~ goe:ambush
execute as @e[type=goe:game,scores={AmbushTime=90}] at @e[type=goe:ambush,tag=Spider] run summon cave_spider ~5 ~ ~-10 ~ ~ goe:ambush
execute as @e[type=goe:game,scores={AmbushTime=100}] at @e[type=goe:ambush,tag=Spider] run summon cave_spider ~-10 ~ ~5 ~ ~ goe:ambush
execute as @e[type=goe:game,scores={AmbushTime=110}] at @e[type=goe:ambush,tag=Spider] run summon cave_spider ~-2 ~ ~10 ~ ~ goe:ambush
execute as @e[type=goe:game,scores={AmbushTime=120}] at @e[type=goe:ambush,tag=Spider] run summon cave_spider ~-5 ~ ~9 ~ ~ goe:ambush

#particle
execute as @e[type=goe:game,scores={AmbushTime=10}] at @e[type=goe:ambush,tag=Spider] run particle goe:summon_ambush_mob ~ ~ ~
execute as @e[type=goe:game,scores={AmbushTime=20}] at @e[type=goe:ambush,tag=Spider] run particle goe:summon_ambush_mob ~6 ~ ~
execute as @e[type=goe:game,scores={AmbushTime=30}] at @e[type=goe:ambush,tag=Spider] run particle goe:summon_ambush_mob ~-6 ~ ~3
execute as @e[type=goe:game,scores={AmbushTime=40}] at @e[type=goe:ambush,tag=Spider] run particle goe:summon_ambush_mob ~8 ~ ~
execute as @e[type=goe:game,scores={AmbushTime=50}] at @e[type=goe:ambush,tag=Spider] run particle goe:summon_ambush_mob ~-8 ~ ~
execute as @e[type=goe:game,scores={AmbushTime=60}] at @e[type=goe:ambush,tag=Spider] run particle goe:summon_ambush_mob ~10 ~ ~0
execute as @e[type=goe:game,scores={AmbushTime=70}] at @e[type=goe:ambush,tag=Spider] run particle goe:summon_ambush_mob ~6 ~ ~8
execute as @e[type=goe:game,scores={AmbushTime=80}] at @e[type=goe:ambush,tag=Spider] run particle goe:summon_ambush_mob ~6 ~ ~-4
execute as @e[type=goe:game,scores={AmbushTime=90}] at @e[type=goe:ambush,tag=Spider] run particle goe:summon_ambush_mob ~5 ~ ~-10
execute as @e[type=goe:game,scores={AmbushTime=100}] at @e[type=goe:ambush,tag=Spider] run particle goe:summon_ambush_mob ~-10 ~ ~5
execute as @e[type=goe:game,scores={AmbushTime=110}] at @e[type=goe:ambush,tag=Spider] run particle goe:summon_ambush_mob ~-2 ~ ~10
execute as @e[type=goe:game,scores={AmbushTime=120}] at @e[type=goe:ambush,tag=Spider] run particle goe:summon_ambush_mob ~-5 ~ ~9

#sounds
execute as @e[type=goe:game,scores={AmbushTime=10}] at @e[type=goe:ambush,tag=Spider] run playsound goe:spawn @a[r=30] ~ ~ ~ 100 1 1
execute as @e[type=goe:game,scores={AmbushTime=20}] at @e[type=goe:ambush,tag=Spider] run playsound goe:spawn @a[r=30] ~-10 ~ ~0 100 1 1
execute as @e[type=goe:game,scores={AmbushTime=40}] at @e[type=goe:ambush,tag=Spider] run playsound goe:spawn @a[r=30] ~-10 ~ ~0 100 1 1
execute as @e[type=goe:game,scores={AmbushTime=60}] at @e[type=goe:ambush,tag=Spider] run playsound goe:spawn @a[r=30] ~10 ~ ~0 100 1 1
execute as @e[type=goe:game,scores={AmbushTime=80}] at @e[type=goe:ambush,tag=Spider] run playsound goe:spawn @a[r=30] ~-10 ~ ~0 100 1 1
execute as @e[type=goe:game,scores={AmbushTime=120}] at @e[type=goe:ambush,tag=Spider] run playsound goe:spawn @a[r=30] ~-5 ~ ~9 100 1 1

# Reset score
execute as @e[type=goe:game,scores={AmbushTime=160}] run scoreboard players set @e[type=goe:game] AmbushActivate 0
execute as @e[type=goe:game,scores={AmbushTime=160}] run scoreboard players set @e[type=goe:game] AmbushTime 0
execute as @e[type=goe:game,scores={AmbushTime=120}] run event entity @e[type=goe:ambush,tag=Spider] goe:despawn